Loading...
Searching...
No Matches
key_value4.c File Reference

Key_Value management. More...

`#include <grass/gis.h>`
`#include <string.h>`
Include dependency graph for key_value4.c:

Go to the source code of this file.

## Functions

void | G_update_key_value_file (const char *file, const char *key, const char *value)
| Update file, set up value for given key.
int | G_lookup_key_value_from_file (const char *file, const char *key, char value[], int n)
| Look up for key in file.

## Detailed Description

Key_Value management.

(C) 2001-2014 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  CERL

Definition in file key_value4.c.

## Function Documentation

## G_lookup_key_value_from_file()

int G_lookup_key_value_from_file | ( | const char * | file,
|  | const char * | key,
|  | char | value[],
|  | int | n )

Look up for key in file.

Parameters

  [in] | file | filename
  [in] | key | key to be found in file
  [out] | value | value for key
  [in] | n | number of characters to be copied

Returns
  0 not found
  1 ok

Definition at line 48 of file key_value4.c.

References file, G_find_key_value(), G_free_key_value(), and G_read_key_value_file().

Referenced by GPJ_osr_to_grass().

## G_update_key_value_file()

void G_update_key_value_file | ( | const char * | file,
|  | const char * | key,
|  | const char * | value )

Update file, set up value for given key.

Parameters

  [in] | file | filename to be updated
  [in] | key | key value
  [in] | value | value to be updated

Definition at line 26 of file key_value4.c.

References file, G_free_key_value(), G_read_key_value_file(), G_set_key_value(), and G_write_key_value_file().